package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum ESettlementFrom implements BaseEnum<String, ESettlementFrom> {

    TEACHER("结算给老师"),
    TENANT("结算给机构"),
    NO("不结算"),
    ;

    @EnumValue
    private String code;
    private String msg;

    ESettlementFrom(String msg) {
        this.code = this.name();
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public String getMsg() {
        return msg;
    }
}
